Download Bank Statement Analysis Report
Download the analyzed bank statement report with categorized transactions, income summary, and spending patterns in JSON or PDF format.
curl -X GET "https://production.deepvue.tech/v1/bsa/download-report?reference_id=example_string&report_type=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
-H "x-api-key: YOUR_API_KEY"
import requests
import json
url = "https://production.deepvue.tech/v1/bsa/download-report?reference_id=example_string&report_type=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://production.deepvue.tech/v1/bsa/download-report?reference_id=example_string&report_type=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://production.deepvue.tech/v1/bsa/download-report?reference_id=example_string&report_type=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (JWT)")
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://production.deepvue.tech/v1/bsa/download-report?reference_id=example_string&report_type=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (JWT)'
request['x-api-key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"code": 200,
"timestamp": 1743779806782,
"transaction_id": "8d42f493eb16402bad2b7ad9e7f215d8",
"sub_code": "SUCCESS",
"message": "File processing completed",
"data": {
"url": "https://deepvue-tech.s3.ap-south-1.amazonaws.com/333e8ab-91fc-4291-8dc8-29c89373b9e4_BSA_Report.xlsx"
}
}
{
"code": 200,
"timestamp": 1744185415580,
"transaction_id": "34d352c79d094ff19a8053bcdcefca9b",
"sub_code": "SUCCESS",
"message": "File processing completed",
"data": {
"salary": [
{
"month": null,
"amount": null,
"salaryUtilizationNoOfDays": null,
"salaryUtilizationPercentage": null
}
],
"OverView": {
"Apr 2025": {
"Tax": null,
"Saving": null,
"Interest": null,
"Insurance": null,
"monthYear": "Apr 2025",
"POSExpense": null,
"RentIncome": null,
"BankCharges": null,
"CashDeposit": null,
"RentPayment": null,
"ForexPayment": null,
"GoodPurchase": null,
"LoanReceived": null,
"ReceiptTotal": 20075,
"SalaryIncome": null,
"SavingMargin": null,
"ForexReceipts": null,
"LoanRepayment": null,
"OtherReceipts": null,
"ReceiptMargin": -0.5979934717744357,
"SalaryPayment": null,
"TotalExpenses": 20075,
"otherPayments": null,
"CashWithDrawls": null,
"ChequePayments": null,
"ChequeReceipts": null,
"ClosingBalance": null,
"InterestIncome": null,
"OnlinePayments": 20075,
"OnlineReceipts": 20075,
"OpeningBalance": null,
"RefundReversal": null,
"UtilityPayment": null,
"InsuracePayment": null,
"CreditCardPayment": null,
"InvestmentExpense": null,
"InvestmentReceipt": null,
"IncomeRecieptTotal": null,
"TotalExpenseMargin": -0.5979934717744357,
"IncomeReceiptMargin": null,
"BankInstrumentPayment": null,
"ExternalPaymentMargin": -0.5979934717744357,
"ExternalPaymentsTotal": 20075,
"ExternalReceiptsTotal": 20075,
"FinancialPaymentTotal": null,
"FinancialReceiptTotal": null,
"BankInstrumentReceipts": null,
"ExternalReceiptsMargin": -0.5979934717744357,
"FinancialPaymentMargin": null,
"FinancialReceiptMargin": null,
"MaintenancePaymentsTotal": null,
"MaintenancePaymentsMargin": null
},
"Jan 2025": {
"Tax": null,
"Saving": null,
"Interest": null,
"Insurance": null,
"monthYear": "Jan 2025",
"POSExpense": null,
"RentIncome": null,
"BankCharges": null,
"CashDeposit": null,
"RentPayment": null,
"ForexPayment": null,
"GoodPurchase": null,
"LoanReceived": null,
"ReceiptTotal": 19201.64,
"SalaryIncome": null,
"SavingMargin": null,
"ForexReceipts": null,
"LoanRepayment": null,
"OtherReceipts": null,
"ReceiptMargin": null,
"SalaryPayment": null,
"TotalExpenses": 19201.64,
"otherPayments": null,
"CashWithDrawls": null,
"ChequePayments": null,
"ChequeReceipts": null,
"ClosingBalance": null,
"InterestIncome": null,
"OnlinePayments": 19201.64,
"OnlineReceipts": 19201.64,
"OpeningBalance": null,
"RefundReversal": null,
"UtilityPayment": null,
"InsuracePayment": null,
"CreditCardPayment": null,
"InvestmentExpense": null,
"InvestmentReceipt": null,
"IncomeRecieptTotal": null,
"TotalExpenseMargin": null,
"IncomeReceiptMargin": null,
"BankInstrumentPayment": null,
"ExternalPaymentMargin": null,
"ExternalPaymentsTotal": 19201.64,
"ExternalReceiptsTotal": 19201.64,
"FinancialPaymentTotal": null,
"FinancialReceiptTotal": null,
"BankInstrumentReceipts": null,
"ExternalReceiptsMargin": null,
"FinancialPaymentMargin": null,
"FinancialReceiptMargin": null,
"MaintenancePaymentsTotal": null,
"MaintenancePaymentsMargin": null
},
"Mar 2025": {
"Tax": null,
"Saving": null,
"Interest": null,
"Insurance": null,
"monthYear": "Mar 2025",
"POSExpense": null,
"RentIncome": null,
"BankCharges": null,
"CashDeposit": null,
"RentPayment": null,
"ForexPayment": null,
"GoodPurchase": null,
"LoanReceived": null,
"ReceiptTotal": 49937,
"SalaryIncome": null,
"SavingMargin": null,
"ForexReceipts": null,
"LoanRepayment": null,
"OtherReceipts": null,
"ReceiptMargin": 1.6006632766784503,
"SalaryPayment": null,
"TotalExpenses": 49937,
"otherPayments": null,
"CashWithDrawls": null,
"ChequePayments": null,
"ChequeReceipts": null,
"ClosingBalance": null,
"InterestIncome": null,
"OnlinePayments": 49937,
"OnlineReceipts": 49937,
"OpeningBalance": null,
"RefundReversal": null,
"UtilityPayment": null,
"InsuracePayment": null,
"CreditCardPayment": null,
"InvestmentExpense": null,
"InvestmentReceipt": null,
"IncomeRecieptTotal": null,
"TotalExpenseMargin": 1.6006632766784503,
"IncomeReceiptMargin": null,
"BankInstrumentPayment": null,
"ExternalPaymentMargin": 1.6006632766784503,
"ExternalPaymentsTotal": 49937,
"ExternalReceiptsTotal": 49937,
"FinancialPaymentTotal": null,
"FinancialReceiptTotal": null,
"BankInstrumentReceipts": null,
"ExternalReceiptsMargin": 1.6006632766784503,
"FinancialPaymentMargin": null,
"FinancialReceiptMargin": null,
"MaintenancePaymentsTotal": null,
"MaintenancePaymentsMargin": null
}
},
"SnapShot": {
"Income": [
{
"Month": "Jan 2025",
"MonthlyIncomeByTotalIncome": "21.52",
"MonthlyExpenseByTotalIncome": "21.52",
"MonthlySavingsByTotalIncome": "0.00"
},
{
"Month": "Mar 2025",
"MonthlyIncomeByTotalIncome": "55.97",
"MonthlyExpenseByTotalIncome": "55.97",
"MonthlySavingsByTotalIncome": "0.00"
},
{
"Month": "Apr 2025",
"MonthlyIncomeByTotalIncome": "22.50",
"MonthlyExpenseByTotalIncome": "22.50",
"MonthlySavingsByTotalIncome": "0.00"
}
],
"Description": {
"Probable account type basis the transactions": "Other Income",
"Number of months "x" where the interest was irregularly credited out of total number of months "y" (x/y)": "0/3",
"Number of months "x" where there were only interest and bank charges transaction out of total number of months "y" (x/y)": "0/3",
"Number of months "x" the salary has been utilized more than 50% in the next 5 days of salary credit out of the total months "y" (x/y)": "0/3"
},
"POS tranx account for": {
"y% of total income": null,
"x% of total expenditure": null
},
"Marginal increase/(Descrease) in": {
"A/c maintenance charge frequency": null,
"Average monthly utilization of Salary": "0.00",
"Average Variation in Monthly Expenditure": "0.50",
"Unavoidable Expenditure(rent +utility) is x% of total expenditure ": "0.00",
""x" number of Inward Cheque Returns for "y" number of Cheque Payments (x/y)": "0/0",
""x" number of Outward Cheque Returns for "y" number of Cheque Receipts (x/y)": "0/0",
"Average Variation in Monthly Receipts (Salary , Self employed ,Rent Income ,Interest income)": "0.50"
}
},
"Eod analysis": {
"Eod Daily": "",
"EOD MONTH WISE": [
{
"MaxEod": "0.00",
"minEod": "0.00",
"oneEod": "0.00",
"tenEod": "0.00",
"fiveEod": "0.00",
"lastDay": "0.00",
"monthYear": "Jan 2025",
"twentyEod": "0.00",
"averageEod": "0.00",
"fifteenEod": "0.00",
"maxEodDate": "17-01-2025",
"minEodDate": "17-01-2025",
"twentyfiveEod": "0.00",
"closingbalance": "0.00",
"maxEodByIncome": "0.00",
"minEodByIncome": "0.00",
"openingBalance": "0.00"
},
{
"MaxEod": "0.00",
"minEod": "0.00",
"oneEod": "0.00",
"tenEod": "0.00",
"fiveEod": "0.00",
"lastDay": "0.00",
"monthYear": "Feb 2025",
"twentyEod": "0.00",
"averageEod": "0.00",
"fifteenEod": "0.00",
"maxEodDate": "01-12-2024",
"minEodDate": "01-12-2024",
"twentyfiveEod": "0.00",
"closingbalance": "0.00",
"maxEodByIncome": "0.00",
"minEodByIncome": "0.00",
"openingBalance": "0.00"
},
{
"MaxEod": "0.00",
"minEod": "0.00",
"oneEod": "0.00",
"tenEod": "0.00",
"fiveEod": "0.00",
"lastDay": "0.00",
"monthYear": "Mar 2025",
"twentyEod": "0.00",
"averageEod": "0.00",
"fifteenEod": "0.00",
"maxEodDate": "01-03-2025",
"minEodDate": "01-03-2025",
"twentyfiveEod": "0.00",
"closingbalance": "0.00",
"maxEodByIncome": "0.00",
"minEodByIncome": "0.00",
"openingBalance": "0.00"
},
{
"MaxEod": "0.00",
"minEod": "0.00",
"oneEod": "0.00",
"tenEod": "0.00",
"fiveEod": "0.00",
"lastDay": "0.00",
"monthYear": "Apr 2025",
"twentyEod": "0.00",
"averageEod": "0.00",
"fifteenEod": "0.00",
"maxEodDate": "01-04-2025",
"minEodDate": "01-04-2025",
"twentyfiveEod": "0.00",
"closingbalance": "0.00",
"maxEodByIncome": "0.00",
"minEodByIncome": "0.00",
"openingBalance": "0.00"
}
]
},
"Bank Statement": [
{
"Date": "17-01-2025",
"Slno": 1,
"Debit": "0.00",
"Credit": "19201.64",
"Balance": "19201.64",
"Reference": "",
"Particular": "UPI/9650565809-4@yb/Payment from Ph/FEDERAL BANK/534809025084/YBLaeaab53012944d71ad603 bb8d3df4e31",
"FirstLevelClassification": "UPI Receipt",
"SecondLevelClassification": "UPI Receipt"
},
{
"Date": "17-01-2025",
"Slno": 2,
"Debit": "19201.64",
"Credit": "0.00",
"Balance": "0.00",
"Reference": "",
"Particular": "INF/INFT/20250117213043/Pay Later expen/Self",
"FirstLevelClassification": "Online Payment",
"SecondLevelClassification": "Online Payment"
},
{
"Date": "01-03-2025",
"Slno": 3,
"Debit": "0.00",
"Credit": "20067.00",
"Balance": "20067.00",
"Reference": "",
"Particular": "UPI/9650565809-4@yb/Payment from Ph/FEDERAL BANK/694546131728/YBL5f0a4f3dbcc345baaf165d8 1384599cb",
"FirstLevelClassification": "UPI Receipt",
"SecondLevelClassification": "UPI Receipt"
},
{
"Date": "01-03-2025",
"Slno": 4,
"Debit": "20067.00",
"Credit": "0.00",
"Balance": "0.00",
"Reference": "",
"Particular": "INF/INFT/20250301152104/Pay Later expen/Self",
"FirstLevelClassification": "Online Payment",
"SecondLevelClassification": "Online Payment"
},
{
"Date": "16-03-2025",
"Slno": 5,
"Debit": "0.00",
"Credit": "19870.00",
"Balance": "19870.00",
"Reference": "",
"Particular": "UPI/9650565809-4@yb/Payment from Ph/FEDERAL BANK/685515755697/YBL1173deef271c46e6b76d8e a2d27053c8",
"FirstLevelClassification": "UPI Receipt",
"SecondLevelClassification": "UPI Receipt"
},
{
"Date": "16-03-2025",
"Slno": 6,
"Debit": "19870.00",
"Credit": "0.00",
"Balance": "0.00",
"Reference": "",
"Particular": "INF/INFT/20250316092112/Pay Later expen/Self",
"FirstLevelClassification": "Online Payment",
"SecondLevelClassification": "Online Payment"
},
{
"Date": "31-03-2025",
"Slno": 7,
"Debit": "0.00",
"Credit": "10000.00",
"Balance": "10000.00",
"Reference": "",
"Particular": "MMT/IMPS/509010206977/transfer/HEMA JOSHI/Yes Bank",
"FirstLevelClassification": "IMPS Receipt",
"SecondLevelClassification": "IMPS Receipt"
},
{
"Date": "31-03-2025",
"Slno": 8,
"Debit": "10000.00",
"Credit": "0.00",
"Balance": "0.00",
"Reference": "",
"Particular": "UPI/9650565809@jupi/Payment from Ph/FEDERAL BANK/833441243667/IBLeaaafcd8d48a4c269c1ae37 66420c498/",
"FirstLevelClassification": "UPI Payment",
"SecondLevelClassification": "UPI Payment"
},
{
"Date": "03-04-2025",
"Slno": 9,
"Debit": "0.00",
"Credit": "20075.00",
"Balance": "20075.00",
"Reference": "",
"Particular": "UPI/9650565809-4@ax/Payment from Ph/FEDERAL BANK/104883063297/AXL2f2297476fb54d9eb6d984 fab6c3fae3",
"FirstLevelClassification": "UPI Receipt",
"SecondLevelClassification": "UPI Receipt"
},
{
"Date": "03-04-2025",
"Slno": 10,
"Debit": "19800.00",
"Credit": "0.00",
"Balance": "275.00",
"Reference": "",
"Particular": "INF/INFT/20250403164210/Pay Later expen/Self",
"FirstLevelClassification": "Online Payment",
"SecondLevelClassification": "Online Payment"
},
{
"Date": "03-04-2025",
"Slno": 11,
"Debit": "275.00",
"Credit": "0.00",
"Balance": "0.00",
"Reference": "",
"Particular": "UPI/9650565809@jupi/Payment from Ph/FEDERAL BANK/628035406510/IBLb48ff480be13468aaaff8636 f28571a6/",
"FirstLevelClassification": "UPI Payment",
"SecondLevelClassification": "UPI Payment"
}
],
"Cheque Returns": {
"Other Reason Cheque Returns": {
"null": [
{
"Date": "",
"Particular": "",
"InwardAmount": null,
"OutwardAmount": null
}
]
},
"Technical Reason Cheque Returns": {
"null": [
{
"Date": "",
"Particular": "",
"InwardAmount": null,
"OutwardAmount": null
}
]
},
"Non Technical Reason Cheque Returns": {
"null": [
{
"Date": "",
"Particular": "",
"InwardAmount": null,
"OutwardAmount": null
}
]
}
},
"Online Returns": {
"Inward Online Returns": {
"null": [
{
"date": "",
"Particular": "",
"inwardAmount": null,
"outwardAmount": null
}
]
},
"Outward Online Returns": {
"null": [
{
"date": "",
"Particular": "",
"inwardAmount": null,
"outwardAmount": null
}
]
}
},
"Account Details": {
"Period": "17-01-2025 to 03-04-2025",
"BankName": "ICICI Bank",
"Currency": "INR",
"Account No": "054201525155",
"ClientName": "CHANDRA SHEKHAR KANDPAL",
"AccountType": "Savings",
"No of months": "4",
"Closing Balance": "0.00",
"Opening Balanace": "0.00"
},
"Loan Transactions": {
"Summary Of Loan Tranx": [
{
"Debit": null,
"Month": "",
"Credit": null
}
],
"Details Of Loan Transactions": [
{
"Date": "",
"Debit": null,
"Credit": null,
"Particular": ""
}
]
},
"Probable Ecs Tranx": [
{
"Date": "",
"Debit": null,
"Credit": null,
"Particular": ""
}
],
"Top 10 Transactions": {
"Top 10 Debit": [
{
"Date": "01-03-2025",
"Amount": "20067.00",
"Particular": "INF/INFT/20250301152104/Pay Later expen/Self",
"Classification": "Online Payment"
},
{
"Date": "16-03-2025",
"Amount": "19870.00",
"Particular": "INF/INFT/20250316092112/Pay Later expen/Self",
"Classification": "Online Payment"
},
{
"Date": "03-04-2025",
"Amount": "19800.00",
"Particular": "INF/INFT/20250403164210/Pay Later expen/Self",
"Classification": "Online Payment"
},
{
"Date": "17-01-2025",
"Amount": "19201.64",
"Particular": "INF/INFT/20250117213043/Pay Later expen/Self",
"Classification": "Online Payment"
},
{
"Date": "31-03-2025",
"Amount": "10000.00",
"Particular": "UPI/9650565809@jupi/Payment from Ph/FEDERAL BANK/833441243667/IBLeaaafcd8d48a4c269c1ae37 66420c498/",
"Classification": "UPI Payment"
},
{
"Date": "03-04-2025",
"Amount": "275.00",
"Particular": "UPI/9650565809@jupi/Payment from Ph/FEDERAL BANK/628035406510/IBLb48ff480be13468aaaff8636 f28571a6/",
"Classification": "UPI Payment"
}
],
"Top 10 Credit": [
{
"Date": "03-04-2025",
"Amount": "20075.00",
"Particular": "UPI/9650565809-4@ax/Payment from Ph/FEDERAL BANK/104883063297/AXL2f2297476fb54d9eb6d984 fab6c3fae3",
"Classification": "UPI Receipt"
},
{
"Date": "01-03-2025",
"Amount": "20067.00",
"Particular": "UPI/9650565809-4@yb/Payment from Ph/FEDERAL BANK/694546131728/YBL5f0a4f3dbcc345baaf165d8 1384599cb",
"Classification": "UPI Receipt"
},
{
"Date": "16-03-2025",
"Amount": "19870.00",
"Particular": "UPI/9650565809-4@yb/Payment from Ph/FEDERAL BANK/685515755697/YBL1173deef271c46e6b76d8e a2d27053c8",
"Classification": "UPI Receipt"
},
{
"Date": "17-01-2025",
"Amount": "19201.64",
"Particular": "UPI/9650565809-4@yb/Payment from Ph/FEDERAL BANK/534809025084/YBLaeaab53012944d71ad603 bb8d3df4e31",
"Classification": "UPI Receipt"
},
{
"Date": "31-03-2025",
"Amount": "10000.00",
"Particular": "MMT/IMPS/509010206977/transfer/HEMA JOSHI/Yes Bank",
"Classification": "IMPS Receipt"
}
]
},
"ECS,NACH Transaction": [
{
"Date": "",
"Debit": null,
"Credit": null,
"Particular": ""
}
],
"ECS,NACH,CASH Return": {
"CASH RETURN TRANSACTIONS": [
{
"Date": "",
"Debit": null,
"Credit": null,
"Particular": ""
}
],
"ECS/NACH RETURN TRANSACTIONS": [
{
"Date": "",
"Debit": null,
"Credit": null,
"Particular": ""
}
]
},
"Investment Transactions": {
"Stock": [
{
"Date": "",
"Amount": null,
"Particular": "",
"TransactionType": ""
}
],
"Others": [
{
"Date": "",
"Amount": null,
"Particular": "",
"TransactionType": ""
}
],
"Mutual Funds": [
{
"Date": "",
"Amount": null,
"Particular": "",
"TransactionType": ""
}
],
"Term Deposits": [
{
"Date": "",
"Amount": null,
"Particular": "",
"TransactionType": ""
}
]
},
"Exceptional Transactions": {
"Total": 2,
"Transactions On Sunday": [
{
"date": "16-03-2025",
"debit": "0.00",
"credit": "19870.00",
"particular": "UPI/9650565809-4@yb/Payment from Ph/FEDERAL BANK/685515755697/YBL1173deef271c46e6b76d8e a2d27053c8"
},
{
"date": "16-03-2025",
"debit": "19870.00",
"credit": "0.00",
"particular": "INF/INFT/20250316092112/Pay Later expen/Self"
}
],
"High Value Transactions": [],
"Rtgs Payments less than 2 Lakhs": [],
"Atm withdrawl not in multiple of 100": [],
"CashDeposit greater than equal to 50000": [],
"CashDeposit greater than Average Income": [],
"CashWithdrawl greater than equal to 50000": [],
"CashDeposit greater than equal to 50% Of Average Income": [],
"CashWithdrawl greater than equal to 50% Of Average Income": []
},
"Related Party Transactions": {
"null": [
{
"Date": "",
"Debit": null,
"Credit": null,
"Particular": ""
}
]
}
}
}
{
"code": 200,
"timestamp": 1743779806782,
"transaction_id": "0f035b57f38f4694pc5efe400273ca73",
"sub_code": "IN_PROGRESS",
"message": "File processing is in progress",
"data": null
}
{
"code": 200,
"timestamp": 1744185415580,
"transaction_id": "d6e5e67744104a74bc3b0c2d82f22ef1",
"sub_code": "FAILED",
"message": "File processing failed",
"data": null
}
{
"detail": "Inactive client_id"
}
{
"code": 400,
"timestamp": 1744185415580,
"transaction_id": "52aac18e83d246f19e4c98023a71c01a",
"sub_code": "INVALID_REFERENCE_ID",
"message": "Invalid reference_id"
}
{
"detail": "Not authenticated"
}
{
"detail": "Not a valid token"
}
{
"detail": [
{
"loc": [
"query",
"report_type"
],
"msg": "report_type must be one of: ReportTypeEnum.json, ReportTypeEnum.xlsx.",
"type": "type_error.enum",
"ctx": {
"enum_values": [
"json",
"xlsx"
]
}
}
]
}
{
"code": 503,
"timestamp": 1777726565,
"transaction_id": "764fead04d949077caeff7398e0",
"message": "Source Unavailable"
}
{
"detail": "Request to bank statement analysis service timed out. Please try again later."
}
/v1/bsa/download-report
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token (JWT). ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
API Key for authentication. The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
Responses
Overview
This API retrieves the analyzed bank statement report in either XLSX or JSON format after document processing has been completed. You provide a reference ID (obtained from the Upload API) and specify your desired report format.
The analysis data includes:
- Monthly financial overview and transaction breakdowns
- Income and expense categorization
- Account holder details and statement period information
- Complete bank statement line items with transaction classifications
- End-of-day (EOD) balance analysis by month
- Top 10 debit and credit transactions
- Exceptional transaction flagging (weekend activity, high-value transfers, etc.)
- Cheque and online return tracking
- ECS/NACH transaction details
- Investment transaction history
- Related party transaction identification
Processing states
The API returns different responses based on the current processing status:
- Completed -- full report data is available for download or JSON consumption.
- In Progress -- processing continues; check again later.
- Failed -- processing encountered errors; the reference ID may be invalid.
You need an authorized access token to access any of the Platform APIs. One access token is valid for only 24 hours. After expiration, you can renew the token by using the Authorize endpoint to receive a fresh access token.
Last updated 4 weeks ago
Built with Documentation.AI